diff --git a/webapp/src/views/fin/shared/att.vue b/webapp/src/views/fin/shared/att.vue
index fac0aba85bec5fad5ced9286855a72c921a910ff..60394922b30ec50f68acf1994a55db777edfa8e2 100644
--- a/webapp/src/views/fin/shared/att.vue
+++ b/webapp/src/views/fin/shared/att.vue
@@ -84,20 +84,8 @@
                 </el-row>
                 <el-row :gutter="40">
                     <el-col :span="8">
-                        <el-form-item label="是否需要账单" prop="needBill" label-width="150px">
-                            <el-radio-group v-model="formData.needBill">
-                                <el-radio-button
-                                        v-for="(item, index) in isNeedOptions"
-                                        :key="index"
-                                        :label="item.value"
-                                >{{ item.label }}
-                                </el-radio-button>
-                            </el-radio-group>
-                        </el-form-item>
-                    </el-col>
-                    <el-col :span="8">
-                        <el-form-item label="迁入日期" prop="migrDate" label-width="150px">
-                            <el-select v-model="formData.migrDate" :style="{ width: '150px' }">
+                        <el-form-item label="不生成账单 迁入日期≥" prop="migrDate" label-width="180px">
+                            <el-select v-model="formData.migrDate" :style="{ width: '150px' }" clearable>
                                 <el-option
                                         v-for="(item, index) in options.dayOptions"
                                         :key="index"
@@ -110,8 +98,8 @@
                 </el-row>
                 <el-row>
                     <el-col :span="8">
-                        <el-form-item label="绑定区域" prop="areaNames" label-width="150px">
-                            <el-input v-model="formData.areaNames"
+                        <el-form-item label="绑定区域" prop="areaName" label-width="150px">
+                            <el-input v-model="formData.areaName"
                                       style="width:300px;"
                                       :disabled="true"
                                       type="textarea"
@@ -223,6 +211,7 @@
     const formData = reactive({
         id: null,
         commonAreaId: null,
+        commonAreaName: '',
         apportionMethod: '0',
         payableTime: 'pre',
         paymentDay: 0,
@@ -234,9 +223,11 @@
         commonTaxRate: '',
         specialTaxRate: '',
         regionId: '',
-        regionIds: '',
+        regionName: '',
         areaIds: '',
         areaNames: '',
+        areaId: '',
+        areaName: '',
         areaRatio: null
     })
 
@@ -316,6 +307,7 @@
     const resetFormData = () => {
         formData.id = null
         formData.commonAreaId = null
+        formData.commonAreaName = ''
         formData.apportionMethod = '0'
         formData.payableTime = 'pre'
         formData.paymentDay = 0
@@ -328,9 +320,10 @@
         formData.specialTaxRate = ''
         formData.regionId = ''
         formData.regionName = ''
-        formData.regionIds = ''
         formData.areaIds = ''
         formData.areaNames = ''
+        formData.areaId = ''
+        formData.areaName = ''
         formData.areaRatio = null
     }
 
@@ -375,13 +368,15 @@
             schemeType: 'att'
         })
 
-        toAreaConfList(row.areaIds, row.areaNames)
+        options.valueOptions = [{areaId: row.areaId, areaName: row.areaName, value: 0}]
+        // toAreaConfList(row.areaIds, row.areaNames)
         data["commonAreaId"] = row.commonAreaId
         data["regionId"] = row.regionId
         data["regionName"] = row.regionName
-        data["regionIds"] = row.regionIds
         data["areaIds"] = row.areaIds
         data["areaNames"] = row.areaNames
+        data["areaId"] = row.areaId
+        data["areaName"] = row.areaName
         if(row.apportionMethod == null || row.apportionMethod == undefined || row.apportionMethod == '') {
             data["apportionMethod"] = "0"
         }
diff --git a/webapp/src/views/fin/shared/electric.vue b/webapp/src/views/fin/shared/electric.vue
index 4dc49ed3852dec933b538f0f4b40c96932632399..01ad69c257c8b38fed2c6ba03c99f976eac81699 100644
--- a/webapp/src/views/fin/shared/electric.vue
+++ b/webapp/src/views/fin/shared/electric.vue
@@ -67,21 +67,10 @@
                         </el-radio-group>
                     </el-form-item>
                 </el-row>
-                <el-row :gutter="40">
-                    <el-form-item label="是否需要账单" prop="needBill" label-width="150px">
-                        <el-radio-group v-model="formData.needBill">
-                            <el-radio-button
-                                    v-for="(item, index) in isNeedOptions"
-                                    :key="index"
-                                    :label="item.value"
-                            >{{ item.label }}
-                            </el-radio-button>
-                        </el-radio-group>
-                    </el-form-item>
-                </el-row>
-                <el-row :gutter="40">
-                    <el-form-item label="迁入日期" prop="migrDate" label-width="150px">
-                        <el-select v-model="formData.migrDate" :style="{ width: '150px' }">
+                <el-row :gutter="40" class="flex">
+                    <div class="lg:ml-20 mt-2">不生成账单</div>
+                    <el-form-item label="迁入日期≥" prop="migrDate" label-width="90px">
+                        <el-select v-model="formData.migrDate" :style="{ width: '150px' }" clearable>
                             <el-option
                                     v-for="(item, index) in options.dayOptions"
                                     :key="index"
@@ -123,51 +112,51 @@
                         </el-form-item>
                     </el-col>
                 </el-row>
+<!--                <el-row :gutter="40">-->
+<!--                    <el-form-item label="计费方式" prop="billingMethod" label-width="148px">-->
+<!--                        <el-radio-group v-model="formData.billingMethod" @change="handleBillingMethodChange">-->
+<!--                            <el-radio-button-->
+<!--                                    v-for="(item, index) in optionsData.billingMethodOptions"-->
+<!--                                    :key="index"-->
+<!--                                    :label="item.value">-->
+<!--                                >{{ item.label }}-->
+<!--                            </el-radio-button>-->
+<!--                        </el-radio-group>-->
+<!--                    </el-form-item>-->
+<!--                </el-row>-->
+<!--                <el-row :gutter="40">-->
+<!--                    <el-form-item label="选择省份" prop="provinceKey" label-width="148px"-->
+<!--                                  v-if="formData.billingMethod=='4' || formData.billingMethod=='5'">-->
+<!--                        <el-select v-model="formData.provinceKey" placeholder="请选择省份" style="width: 120px"-->
+<!--                                   @change="provinceChange">-->
+<!--                            <el-option label="无" value=""/>-->
+<!--                            <el-option-->
+<!--                                    v-for="(item, index) in optionsData.provinceOptions"-->
+<!--                                    :key="index"-->
+<!--                                    :label="item.provinceName"-->
+<!--                                    :value="item.provinceKey"-->
+<!--                            />-->
+<!--                        </el-select>-->
+<!--                    </el-form-item>-->
+<!--                </el-row>-->
+<!--                <el-row :gutter="40">-->
+<!--                    <el-form-item label="价格计费" prop="price" label-width="148px" v-if="formData.billingMethod=='1'">-->
+<!--                        <unit-fee ref="unitFeeRef"/>-->
+<!--                    </el-form-item>-->
+<!--                    <el-form-item label="价格计费" prop="price" label-width="148px" v-if="formData.billingMethod=='2'">-->
+<!--                        <month-fee ref="monthFeeRef"/>-->
+<!--                    </el-form-item>-->
+<!--                    <el-form-item label="价格计费" prop="price" label-width="148px" v-if="formData.billingMethod=='3'">-->
+<!--                        <year-fee ref="yearFeeRef"/>-->
+<!--                    </el-form-item>-->
+<!--                    <el-form-item label="价格计费" prop="price" label-width="148px"-->
+<!--                                  v-if="formData.billingMethod=='4' || formData.billingMethod=='5'">-->
+<!--                        <mult-fee ref="multFeeRef"/>-->
+<!--                    </el-form-item>-->
+<!--                </el-row>-->
                 <el-row :gutter="40">
-                    <el-form-item label="计费方式" prop="billingMethod" label-width="148px">
-                        <el-radio-group v-model="formData.billingMethod" @change="handleBillingMethodChange">
-                            <el-radio-button
-                                    v-for="(item, index) in optionsData.billingMethodOptions"
-                                    :key="index"
-                                    :label="item.value">
-                                >{{ item.label }}
-                            </el-radio-button>
-                        </el-radio-group>
-                    </el-form-item>
-                </el-row>
-                <el-row :gutter="40">
-                    <el-form-item label="选择省份" prop="provinceKey" label-width="148px"
-                                  v-if="formData.billingMethod=='4' || formData.billingMethod=='5'">
-                        <el-select v-model="formData.provinceKey" placeholder="请选择省份" style="width: 120px"
-                                   @change="provinceChange">
-                            <el-option label="无" value=""/>
-                            <el-option
-                                    v-for="(item, index) in optionsData.provinceOptions"
-                                    :key="index"
-                                    :label="item.provinceName"
-                                    :value="item.provinceKey"
-                            />
-                        </el-select>
-                    </el-form-item>
-                </el-row>
-                <el-row :gutter="40">
-                    <el-form-item label="价格计费" prop="price" label-width="148px" v-if="formData.billingMethod=='1'">
-                        <unit-fee ref="unitFeeRef"/>
-                    </el-form-item>
-                    <el-form-item label="价格计费" prop="price" label-width="148px" v-if="formData.billingMethod=='2'">
-                        <month-fee ref="monthFeeRef"/>
-                    </el-form-item>
-                    <el-form-item label="价格计费" prop="price" label-width="148px" v-if="formData.billingMethod=='3'">
-                        <year-fee ref="yearFeeRef"/>
-                    </el-form-item>
-                    <el-form-item label="价格计费" prop="price" label-width="148px"
-                                  v-if="formData.billingMethod=='4' || formData.billingMethod=='5'">
-                        <mult-fee ref="multFeeRef"/>
-                    </el-form-item>
-                </el-row>
-                <el-row :gutter="40">
-                    <el-form-item label="绑定区域" prop="areaNames" label-width="150px">
-                        <el-input v-model="formData.areaNames"
+                    <el-form-item label="绑定区域" prop="areaName" label-width="150px">
+                        <el-input v-model="formData.areaName"
                                   style="width:300px;"
                                   :disabled="true"
                                   type="textarea"
@@ -265,6 +254,7 @@
     const formData = reactive({
         id: null,
         commonAreaId: null,
+        commonAreaName: '',
         schemeType: '1',
         isVac: '0',
         llf: '',
@@ -281,7 +271,8 @@
         price: [],
         regionId: '',
         regionName: '',
-        regionIds: '',
+        areaId: '',
+        areaName: '',
         areaIds: '',
         areaNames: '',
         areaRatio: null,
@@ -408,6 +399,7 @@
     const resetFormData = () => {
         formData.id = null
         formData.commonAreaId = null
+        formData.commonAreaName = ''
         formData.schemeType = '1'
         formData.isVac = '0'
         formData.llf = ''
@@ -424,9 +416,10 @@
         formData.price = []
         formData.regionId = ''
         formData.regionName = ''
-        formData.regionIds = ''
         formData.areaIds = ''
         formData.areaNames = ''
+        formData.areaId = ''
+        formData.areaName = ''
         formData.areaRatio = null
         formData.areaCoef = null
     }
@@ -494,13 +487,15 @@
             schemeType: 'electric'
         })
 
-        toAreaConfList(row.areaIds, row.areaNames)
+        options.valueOptions = [{areaId: row.areaId, areaName: row.areaName, value: 0}]
+        // toAreaConfList(row.areaIds, row.areaNames)
         data["commonAreaId"] = row.commonAreaId
         data["regionId"] = row.regionId
         data["regionName"] = row.regionName
-        data["regionIds"] = row.regionIds
         data["areaIds"] = row.areaIds
         data["areaNames"] = row.areaNames
+        data["areaId"] = row.areaId
+        data["areaName"] = row.areaName
         if(row.apportionMethod == null || row.apportionMethod == undefined || row.apportionMethod == '') {
             data["apportionMethod"] = "0"
         }
diff --git a/webapp/src/views/fin/shared/gas.vue b/webapp/src/views/fin/shared/gas.vue
index 518ce1d3c31370b5940f2b9d8c6850ba42ed8c5f..d08cbae45c2e05ba2230389449e58066646bf631 100644
--- a/webapp/src/views/fin/shared/gas.vue
+++ b/webapp/src/views/fin/shared/gas.vue
@@ -56,7 +56,7 @@
                 <el-row :gutter="40">
                     <el-col :span="8">
                         <el-form-item label="迁入日期" prop="migrDate">
-                            <el-select v-model="formData.migrDate" :style="{ width: '150px' }">
+                            <el-select v-model="formData.migrDate" :style="{ width: '150px' }" clearable>
                                 <el-option
                                         v-for="(item, index) in options.dayOptions"
                                         :key="index"
@@ -67,33 +67,33 @@
                         </el-form-item>
                     </el-col>
                 </el-row>
-                <el-row :gutter="40">
-                    <el-col :span="8">
-                        <el-form-item label="计费方式" prop="billingMethod" label-width="148px">
-                            <el-radio-group v-model="formData.billingMethod" @change="handleBillingMethodChange">
-                                <el-radio-button
-                                        v-for="(item, index) in filterBillingMethodOptions"
-                                        :key="index"
-                                        :label="item.value">
-                                    >{{ item.label }}
-                                </el-radio-button>
-                            </el-radio-group>
-                        </el-form-item>
-                    </el-col>
-                </el-row>
-                <el-row :gutter="40">
-                    <el-col :span="24">
-                        <el-form-item label="价格计费" prop="price" label-width="148px" v-if="formData.billingMethod=='1'">
-                            <unit-fee ref="unitFeeRef"/>
-                        </el-form-item>
-                        <el-form-item label="价格计费" prop="price" label-width="148px" v-if="formData.billingMethod=='2'">
-                            <month-fee ref="monthFeeRef"/>
-                        </el-form-item>
-                        <el-form-item label="价格计费" prop="price" label-width="148px" v-if="formData.billingMethod=='3'">
-                            <year-fee ref="yearFeeRef"/>
-                        </el-form-item>
-                    </el-col>
-                </el-row>
+<!--                <el-row :gutter="40">-->
+<!--                    <el-col :span="8">-->
+<!--                        <el-form-item label="计费方式" prop="billingMethod" label-width="148px">-->
+<!--                            <el-radio-group v-model="formData.billingMethod" @change="handleBillingMethodChange">-->
+<!--                                <el-radio-button-->
+<!--                                        v-for="(item, index) in filterBillingMethodOptions"-->
+<!--                                        :key="index"-->
+<!--                                        :label="item.value">-->
+<!--                                    >{{ item.label }}-->
+<!--                                </el-radio-button>-->
+<!--                            </el-radio-group>-->
+<!--                        </el-form-item>-->
+<!--                    </el-col>-->
+<!--                </el-row>-->
+<!--                <el-row :gutter="40">-->
+<!--                    <el-col :span="24">-->
+<!--                        <el-form-item label="价格计费" prop="price" label-width="148px" v-if="formData.billingMethod=='1'">-->
+<!--                            <unit-fee ref="unitFeeRef"/>-->
+<!--                        </el-form-item>-->
+<!--                        <el-form-item label="价格计费" prop="price" label-width="148px" v-if="formData.billingMethod=='2'">-->
+<!--                            <month-fee ref="monthFeeRef"/>-->
+<!--                        </el-form-item>-->
+<!--                        <el-form-item label="价格计费" prop="price" label-width="148px" v-if="formData.billingMethod=='3'">-->
+<!--                            <year-fee ref="yearFeeRef"/>-->
+<!--                        </el-form-item>-->
+<!--                    </el-col>-->
+<!--                </el-row>-->
                 <el-row :gutter="40">
                     <el-col :span="8">
                         <el-form-item label="面积类型" prop="squareType" style="width:300px" label-width="150px" v-if="formData.apportionMethod=='0'">
@@ -110,8 +110,8 @@
                 </el-row>
                 <el-row :gutter="40">
                     <el-col :span="16">
-                        <el-form-item label="绑定区域" prop="areaNames" label-width="150px">
-                            <el-input v-model="formData.areaNames"
+                        <el-form-item label="绑定区域" prop="areaName" label-width="150px">
+                            <el-input v-model="formData.areaName"
                                       style="width:300px;"
                                       :disabled="true"
                                       type="textarea"
@@ -229,6 +229,7 @@
     const formData = reactive({
         id: null,
         commonAreaId: null,
+        commonAreaName: '',
         apportionMethod: '0',
         payableTime: '',
         paymentDay: '',
@@ -240,9 +241,10 @@
         price: [],
         regionId: '',
         regionName: '',
-        regionIds: '',
         areaIds: '',
         areaNames: '',
+        areaId: '',
+        areaName: '',
         areaRatio: null
     })
 
@@ -308,6 +310,7 @@
     const resetFormData = () => {
         formData.id =null
         formData.commonAreaId = null
+        formData.commonAreaName = ''
         formData.apportionMethod ='0'
         formData.payableTime =''
         formData.paymentDay =''
@@ -319,9 +322,10 @@
         formData.price = []
         formData.regionId =''
         formData.regionName = ''
-        formData.regionIds = ''
         formData.areaIds =''
         formData.areaNames =''
+        formData.areaId = ''
+        formData.areaName = ''
         formData.areaRatio = null
     }
 
@@ -369,13 +373,15 @@
             schemeType: 'gas'
         })
 
-        toAreaConfList(row.areaIds, row.areaNames)
+        options.valueOptions = [{areaId: row.areaId, areaName: row.areaName, value: 0}]
+        // toAreaConfList(row.areaIds, row.areaNames)
         data["commonAreaId"] = row.commonAreaId
         data["regionId"] = row.regionId
         data["regionName"] = row.regionName
-        data["regionIds"] = row.regionIds
         data["areaIds"] = row.areaIds
         data["areaNames"] = row.areaNames
+        data["areaId"] = row.areaId
+        data["areaName"] = row.areaName
         if(row.apportionMethod == null || row.apportionMethod == undefined || row.apportionMethod == '') {
             data["apportionMethod"] = "0"
         }
diff --git a/webapp/src/views/fin/shared/water.vue b/webapp/src/views/fin/shared/water.vue
index 152acbd6806fed4dc37019138174601dca5dc02d..c21744a57534adbb17fd1887191633146b2147e7 100644
--- a/webapp/src/views/fin/shared/water.vue
+++ b/webapp/src/views/fin/shared/water.vue
@@ -67,33 +67,33 @@
                         </el-form-item>
                     </el-col>
                 </el-row>
-                <el-row :gutter="40">
-                    <el-col :span="8">
-                        <el-form-item label="计费方式" prop="billingMethod" label-width="148px">
-                            <el-radio-group v-model="formData.billingMethod" @change="handleBillingMethodChange">
-                                <el-radio-button
-                                        v-for="(item, index) in filterBillingMethodOptions"
-                                        :key="index"
-                                        :label="item.value">
-                                    >{{ item.label }}
-                                </el-radio-button>
-                            </el-radio-group>
-                        </el-form-item>
-                    </el-col>
-                </el-row>
-                <el-row :gutter="40">
-                    <el-col :span="24">
-                        <el-form-item label="价格计费" prop="price" label-width="148px" v-if="formData.billingMethod=='1'">
-                            <unit-fee ref="unitFeeRef"/>
-                        </el-form-item>
-                        <el-form-item label="价格计费" prop="price" label-width="148px" v-if="formData.billingMethod=='2'">
-                            <month-fee ref="monthFeeRef"/>
-                        </el-form-item>
-                        <el-form-item label="价格计费" prop="price" label-width="148px" v-if="formData.billingMethod=='3'">
-                            <year-fee ref="yearFeeRef"/>
-                        </el-form-item>
-                    </el-col>
-                </el-row>
+<!--                <el-row :gutter="40">-->
+<!--                    <el-col :span="8">-->
+<!--                        <el-form-item label="计费方式" prop="billingMethod" label-width="148px">-->
+<!--                            <el-radio-group v-model="formData.billingMethod" @change="handleBillingMethodChange">-->
+<!--                                <el-radio-button-->
+<!--                                        v-for="(item, index) in filterBillingMethodOptions"-->
+<!--                                        :key="index"-->
+<!--                                        :label="item.value">-->
+<!--                                    >{{ item.label }}-->
+<!--                                </el-radio-button>-->
+<!--                            </el-radio-group>-->
+<!--                        </el-form-item>-->
+<!--                    </el-col>-->
+<!--                </el-row>-->
+<!--                <el-row :gutter="40">-->
+<!--                    <el-col :span="24">-->
+<!--                        <el-form-item label="价格计费" prop="price" label-width="148px" v-if="formData.billingMethod=='1'">-->
+<!--                            <unit-fee ref="unitFeeRef"/>-->
+<!--                        </el-form-item>-->
+<!--                        <el-form-item label="价格计费" prop="price" label-width="148px" v-if="formData.billingMethod=='2'">-->
+<!--                            <month-fee ref="monthFeeRef"/>-->
+<!--                        </el-form-item>-->
+<!--                        <el-form-item label="价格计费" prop="price" label-width="148px" v-if="formData.billingMethod=='3'">-->
+<!--                            <year-fee ref="yearFeeRef"/>-->
+<!--                        </el-form-item>-->
+<!--                    </el-col>-->
+<!--                </el-row>-->
                 <el-row :gutter="40">
                     <el-col :span="8" v-if="formData.apportionMethod=='0'">
                         <el-form-item label="面积类型" prop="squareType" label-width="150px">
@@ -122,8 +122,8 @@
                 </el-row>
                 <el-row :gutter="40">
                     <el-col :span="16">
-                        <el-form-item label="绑定区域" prop="areaNames" label-width="150px">
-                            <el-input v-model="formData.areaNames"
+                        <el-form-item label="绑定区域" prop="areaName" label-width="150px">
+                            <el-input v-model="formData.areaName"
                                       style="width:300px;"
                                       :disabled="true"
                                       type="textarea"
@@ -239,6 +239,7 @@
     const formData = reactive({
         id: null,
         commonAreaId: null,
+        commonAreaName: '',
         apportionMethod: '0',
         payableTime: '',
         paymentDay: 0,
@@ -251,9 +252,10 @@
         price: [],
         regionId: '',
         regionName: '',
-        regionIds: '',
         areaIds: '',
         areaNames: '',
+        areaId: '',
+        areaName: '',
         areaRatio: null
     })
 
@@ -319,6 +321,7 @@
     const resetFormData = () => {
         formData.id = null
         formData.commonAreaId = null
+        formData.commonAreaName = ''
         formData.apportionMethod = '0'
         formData.payableTime = ''
         formData.paymentDay = 0
@@ -331,9 +334,10 @@
         formData.price = []
         formData.regionId = ''
         formData.regionName = ''
-        formData.regionIds = ''
         formData.areaIds = ''
         formData.areaNames = ''
+        formData.areaId = ''
+        formData.areaName = ''
         formData.areaRatio = null
     }
 
@@ -370,6 +374,7 @@
             if (ratio == undefined || ratio == null) {
                 ratio = options.valueOptions
             }
+            console.log("!!!!!!!!!!!", ratio)
             ratioRef.value?.open()
             ratioRef.value?.setFormData(ratio)
         }
@@ -381,13 +386,15 @@
             schemeType: 'water'
         })
 
-        toAreaConfList(row.areaIds, row.areaNames)
+        options.valueOptions = [{areaId: row.areaId, areaName: row.areaName, value: 0}]
+        // toAreaConfList(row.areaIds, row.areaNames)
         data["commonAreaId"] = row.commonAreaId
         data["regionId"] = row.regionId
         data["regionName"] = row.regionName
-        data["regionIds"] = row.regionIds
         data["areaIds"] = row.areaIds
         data["areaNames"] = row.areaNames
+        data["areaId"] = row.areaId
+        data["areaName"] = row.areaName
         if(row.apportionMethod == null || row.apportionMethod == undefined || row.apportionMethod == '') {
             data["apportionMethod"] = "0"
         }
